%define upstream_name    Dancer2
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Template Toolkit reimplemented in as little code as possible, forked from Template::Tiny
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple::PSGI)
BuildRequires: perl(IO::File)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(MooX::Types::MooseLike::Numeric)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Any)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is the main module for the Dancer2 distribution. It contains logic for
creating a new Dancer2 application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.yml AUTHORS Changes META.json
%{_bindir}/dancer2
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 534006
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 476000
- update to 0.09

* Mon Aug 19 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 467809
- update to 0.08

* Sun Aug 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 463522
- update to 0.07

* Wed Jul 31 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 461448
- update to 0.06

* Mon Jul 22 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 457083
- update to 0.05

* Thu Mar 28 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 406000
- imported package perl-Dancer2


* Thu Mar 28 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
